- 2020-12-10
  - Received notification that webext#299 could be released.
- 2021-01-14
  - Asked for urgent fixes to include in release.
- 2021-01-21
  - Received notification that Core Tech is ready for feature freeze.
  - Published internal release announcement.
- 2021-01-22
  - Dropped webext#307 from release because it is only relevant in the context of the next branch.
  - Cherry-picked relevant commits from adblockpluschrome next branch into master branch.
  - Created and published internal release announcement.
  - Created release notes draft.
- 2021-01-28
  - Received QA LGTM.
  - Created build files.
  - Created MR for downloads repo.
  - Published to CWS.
  - Published to AMO.
  - Published to Microsoft store despite error message after uploading build file: Something went wrong. Please try again.
  - Published to Opera store.
  - Received approval from AMO.
  - Published release notes.
  - Noticed that release is live on CWS.
- 2021-02-01
  - Noticed that release is live on Microsoft store and Opera store.
